import React from "react";
import { FaTimesCircle } from "react-icons/fa";
import CheckBox from "../../Base/Checkbox";
import "./task.css";
function Task({ handleClose, handleClicks, task }) {
  return (
    <>
      <div className="task-section">
        <div className="task">
          <div className="task-title">
            <CheckBox handleClick={handleClicks} checked={task.checked} />

            <p className={`${task.checked ? "strike-through" : ""}`}>
              {task.title}
            </p>
          </div>
          <div className="task-close">
            <FaTimesCircle className="fa-close" onClick={handleClose} />
          </div>
        </div>
      </div>
    </>
  );
}

export default Task;
