import React from "react";
import "./tasks.css";
import Task from "../../TopLevel/Task";

function Tasks({ handleClick, tasksData, handleCloses }) {
  return (
    <>
      <div className="tasklist">
        {tasksData.length > 0
          ? tasksData.map((tasks) => (
              <Task
                task={tasks}
                handleClicks={() => handleClick(tasks)}
                handleClose={() => handleCloses(tasks)}
              />
              // <div className="tasks">
              //   <div className="task-section">
              //     <div className="task">
              //       <CheckBox handleClick={handleClicks} />
              //       <p>{e.title} </p>
              //     </div>
              //     <FaTimes
              //       className="fa-close"
              //       style={{ color: "red" }}
              //       onClick={handleClose}
              //     />
              //   </div>
              // </div>
            ))
          : "No task"}
      </div>
    </>
  );
}

export default Tasks;
