import Tasks from "../Components/TopLevel/Tasks";
import { taskData } from "../Components/TopLevel/Task";
export default {
  title: "TopLevel/Tasks",
  component: Tasks,
  argTypes: {
    handleCloses: { action: "Deleted" },
    handleClick: { action: "checked" },
  },
};
const defaultTasksData = [
  { ...taskData, id: "1", title: "Task 1", checked: false },
  { ...taskData, id: "2", title: "Task 2", checked: true },
  { ...taskData, id: "3", title: "Task 3", checked: true },
];
const Template = (args) => <Tasks tasksData={defaultTasksData} {...args} />;
export const tasks = Template.bind({});
tasks.args = {};
