import React from "react";
import "../Input/input.css";

function Input({ changeInput, inputValue }) {
  const handleChange = (e) => {
    e.preventDefault();
    changeInput(e.target.value);
  };
  return (
    <>
      <input
        type="text"
        required
        placeholder="Enter Item"
        value={inputValue}
        onChange={handleChange}
      ></input>
    </>
  );
}

export default Input;
