import React, { useState } from "react";
import Button from "../../Components/Base/Button";
import Input from "../../Components/Base/Input";
import "../Form/form.css";

function Form({ addtask, bottom }) {
  const [input, setInput] = useState("");
  const submitdata = (e) => {
    e.preventDefault();
    setInput("");
    addtask({ title: input, checked: false });
  };
  const handleInput = (e) => {
    setInput(e);
  };

  return (
    <>
      <form onSubmit={submitdata}>
        <div className={`form-container  ${bottom ? "form-bottom" : ""}`}>
          <Input
            required={true}
            changeInput={(e) => handleInput(e)}
            inputValue={input}
          />

          <Button size={"md"} />
        </div>
      </form>
    </>
  );
}

export default Form;
